package com.greenorange.promotion.model.dto.fileInfo;

import com.greenorange.promotion.annotation.FileEnumValue;
import com.greenorange.promotion.model.enums.FileUploadBizEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
@Schema(description = "文件上传请求体", requiredProperties = {"biz"})
public class UploadFileRequest implements Serializable {

    /**
     * 文件业务类型（头像，项目，富文本，默认）
     */
    @FileEnumValue(enumClass = FileUploadBizEnum.class)
    @Schema(description = "文件业务类型（头像，项目，富文本，默认）", example = "avatar")
    private String biz;


    @Serial
    private static final long serialVersionUID = 1L;
}
